#!/bin/bash
for i in `awk -F: '{print $1}' users.list `
#awk兩旁的是反單引號，就是鍵盤數字鍵１左邊的符號鍵
do
  useradd -m $i 
  #-m選項，要求建立家目錄
  grep "\<$i\>" users.list |chpasswd
  #設定使用者的密碼
  chage -d 0 $i 
  #設定強迫使用者一登入便得修改密碼
done


